@echo off
rem  install.bat - batch file for installation of GLSNET
rem  Usage: install hard_drive_and_directory
rem         e.g., install C:
rem               install C:\wrdapp
rem  History: 06/23/97 mcrouse
rem           10/06/97 mcrouse  modify for GLSNET 2.5
rem
rem  Note: no spaces retained immediately following "set" statements below
rem  as would be included in assignment to variable

if "%1" == "" goto missing

if exist %1\glsnet2.5\bin\glsnet.bat  del %1\glsnet2.5\bin\glsnet.bat

echo @echo off                                >> %1\glsnet2.5\bin\glsnet.bat

echo if not "%%1" == "" goto chk_size                                  >> %1\glsnet2.5\bin\glsnet.bat
echo set sz=300>> %1\glsnet2.5\bin\glsnet.bat
echo goto begin                                                        >> %1\glsnet2.5\bin\glsnet.bat
echo.                                                                  >> %1\glsnet2.5\bin\glsnet.bat
echo :chk_size                                                         >> %1\glsnet2.5\bin\glsnet.bat
echo set sz=%%1>> %1\glsnet2.5\bin\glsnet.bat
echo if not exist %1\glsnet2.5\bin\gls%%sz%%.exe goto bad_size         >> %1\glsnet2.5\bin\glsnet.bat
echo.                                                                  >> %1\glsnet2.5\bin\glsnet.bat
echo :begin                                                            >> %1\glsnet2.5\bin\glsnet.bat
echo echo.                                                             >> %1\glsnet2.5\bin\glsnet.bat
echo echo  ***** Running glsnet dimensioned for up to %%sz%% stations. >> %1\glsnet2.5\bin\glsnet.bat
echo echo.                                                             >> %1\glsnet2.5\bin\glsnet.bat
echo.                                                                  >> %1\glsnet2.5\bin\glsnet.bat

echo if exist glsmes.wdm   del glsmes.wdm     >> %1\glsnet2.5\bin\glsnet.bat
echo if exist f77l3.eer    del f77l3.eer      >> %1\glsnet2.5\bin\glsnet.bat
echo if exist simplexr.chr del simplexr.chr   >> %1\glsnet2.5\bin\glsnet.bat
echo copy %1\glsnet2.5\bin_data\glsmes.wdm    >> %1\glsnet2.5\bin\glsnet.bat
echo copy %1\glsnet2.5\bin_data\f77l3.eer     >> %1\glsnet2.5\bin\glsnet.bat
echo copy %1\glsnet2.5\bin_data\simplexr.chr  >> %1\glsnet2.5\bin\glsnet.bat
echo if not exist interact.ini  copy %1\glsnet2.5\bin_data\interact.ini  >> %1\glsnet2.5\bin\glsnet.bat
echo %1\glsnet2.5\bin\gls%%sz%%               >> %1\glsnet2.5\bin\glsnet.bat
echo del glsmes.wdm                           >> %1\glsnet2.5\bin\glsnet.bat
echo del f77l3.eer                            >> %1\glsnet2.5\bin\glsnet.bat
echo del simplexr.chr                         >> %1\glsnet2.5\bin\glsnet.bat
echo goto end                                 >> %1\glsnet2.5\bin\glsnet.bat

echo.                                                       >> %1\glsnet2.5\bin\glsnet.bat
echo :bad_size                                              >> %1\glsnet2.5\bin\glsnet.bat
echo echo  ***** glsnet dimensioned for up to %%sz%% stations  >> %1\glsnet2.5\bin\glsnet.bat
echo echo  ***** is not available.  Available sizes are:    >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                                            >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****           300, 600, or 700                 >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                                            >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                                            >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                                            >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****    Usage:  glsnet [size]                   >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                                            >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                                            >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****            where size = 300, 600, or 700   >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                  default size is 300       >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                                            >> %1\glsnet2.5\bin\glsnet.bat
echo echo  ***** Examples:  glsnet                          >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****            glsnet 600                      >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                                            >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                                            >> %1\glsnet2.5\bin\glsnet.bat
echo echo  *****                                            >> %1\glsnet2.5\bin\glsnet.bat
echo.                                                       >> %1\glsnet2.5\bin\glsnet.bat
echo :end                                                   >> %1\glsnet2.5\bin\glsnet.bat
echo set sz=>> %1\glsnet2.5\bin\glsnet.bat

copy %1\glsnet2.5\bin\glsnet.bat %1\glsnet2.5\test\glsnet.bat

echo.
echo.
echo GLSNET installation complete.
echo.
echo For proper screen display when running GLSNET, the 
echo ANSI.SYS device driver must be loaded.  CONFIG.SYS 
echo must contain a line similar to that shown below.
echo Refer to the README file for details.
echo.
echo DEVICE = C:\DOS\ANSI.SYS
echo.
goto end

:missing
echo.
echo install: ERROR: hard drive and directory must be specified, examples are:
echo.
echo install c:
echo install c:\wrdapp
echo.

:end
