#!/bin/sh
# clean.sh - clean up files after test runs
#
# Usage:  clean.sh
#
# History:  95/12/07  kmflynn
#
# remove check output and miscellaneous other output files
  for File in check.out GLSNET.LOG ERROR.FIL XPAD.DAT ; do
    if [ -f $File ] ; then rm $File ; fi
  done
#
# remove output from each test
for File in test1.out test2.out test2.ot1 test2.ot2 \
            tx.wdm va.wdm pr_02018 pr_01632 ; do
  if [ -f $File ] ; then rm $File ; fi
done

# end of shell
