#!/bin/sh
# clean.sh - clean up files after test runs
#
# Usage:  clean.sh
#
# History:  95/12/07  kmflynn
#           00/11/08  kmflynn
#
# standard test files
  Numb='1 1a 2 3 4'
  Sufx='out ot1 ot2 ot3 exp err era erb erc erd ps pr1 pr2'

# miscellaneous files generated automatically
  Misc='GLSNET.LOG ERROR.FIL error.fil XPAD.DAT ANNIE.LOG'
  Othr='tx.wdm va.wdm va2.wdm tx2.wdm pr_02018 pr_01632 test.out check.log tx.exp va.exp'

# remove miscellaneous files
  for File in $Misc $Othr ; do
     if [ -f $File ] ; then rm $File ; fi
  done

# remove files specific to the tests
  for No in $Numb ; do
     for Sfx in $Sufx ; do
        if [ -f test$No.$Sfx ] ; then rm test$No.$Sfx ; fi
     done
  done

# end of shell
