@echo off
rem  test2.bat -- GLSNET test 2
rem               copies in needed files and executes program;
rem               tidies up afterwards 
rem               user must type "@..\data\test2.log" on GLSNET opening screen
rem
rem  History:  01/13/97  mcrouse

rem  remove any old data, output files
if exist va.wdm del va.wdm
if exist pr_01632 del pr_01632
if exist pr_02018 del pr_02018
if exist test2.out del test2.out
if exist test2.ot1 del test2.ot1
if exist test2.ot2 del test2.ot2

rem  copy in input files
copy ..\data\va.wdm
copy ..\data\pr_01632
copy ..\data\pr_02018

rem  run batch program to invoke executable in ..\bin
call glsnet

rem  remove unneeded files
del va.wdm
del pr_01632
del pr_02018
